#-------------------------------------------------------------------------------
# Last change: 2023-07-03 16:03:16
#
# rsync rules for copying files from the upload directory on
# the hackerpublicradio.org server. We want to visit sub-directories and
# collect the file 'shownotes.txt' as well as any ancillary files,
# particularly pictures. We do not want the audio, nor do we want the
# 'shownotes.html' which we upload after processing. The local directory is
# kept in step with the remote one, including deleting files.
#
# 2019-12-11: The upper-case versions of some file extensions weren't
# originally catered for and have been added.
#
# 2021-11-24: Ken changed a show number (3487->3482) and left its original
# directory, then (since the slot was now open) somebody else sent in 3487 but
# of course got a different directory name because it contains a random key.
# I added an underscore to the start of the directory name to ignore it, and
# have catered for this below.
#
# 2022-12-22: Removed shownotes.txt from the list of files to collect and
# added it to the list _not_ to collect!
#
# 2023-04-07: Added '*.oga' and '*.OGA' to the list of audio types to ignore
#
# 2023-06-22: Added directories containing the string '_9999_' to the ignore
# list. This is apparently used for shows destined for the reserve queue. This
# might be a temporary measure because we might want to process such shows in
# this workflow.
#-------------------------------------------------------------------------------
- *.swp
- *~
- *.aiff
- *.AIFF
- *.flac
- *.FLAC
- *.oga
- *.OGA
- *.ogg
- *.OGG
- *.mp3
- *.MP3
- *.wav
- *.WAV
- *.m4a
- *.M4A
- *.lzma
- *.LZMA
- *.diff
- shownotes.txt
- shownotes.html
- photo
- processed/
- _*/
- *_9999_*/
+ */
+ shownotes.json
